Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001702ScribusGeneralpublic2005-02-20 12:242006-06-05 14:33
Reporterplinnell 
Assigned Tocbradney 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3 
Target VersionFixed in Version1.3.4cvs 
Summary0001702: Move Load and Save functions into a "master/slave" plugin
DescriptionMove Load and Save functions into a "master/slave" plugin (like GetText is) to easily support loading of various formats (new, old, complete oo.o, etc) - per roadmap
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0002097closedringerc Re-write plugin API 

-  Notes
(0006451)
ringerc (administrator)
2005-09-07 19:17

The new plug-in API should be in place soon. Once that's done, it should be easy to make new types of plug-in by subclassing ScPlugin and making a few tweaks in pluginmanager.cpp .

The "master plugin" might want to be a partly abstract ScPlugin subclass, probably still in the core app, that the implementations then inherit and extend. Check out the ScActionPlugin class for ideas.
(0006453)
cbradney (administrator)
2005-09-07 19:40

This needs to integrate into fileloader as well... remember, we have the oodraw loader there.

- Issue History
Date Modified Username Field Change
2005-02-20 12:24 plinnell New Issue
2005-06-15 13:52 ringerc Relationship added related to 0002097
2005-06-15 13:52 ringerc Status new => acknowledged
2005-09-07 19:17 ringerc Note Added: 0006451
2005-09-07 19:40 cbradney Note Added: 0006453
2005-09-23 16:51 cbradney Relationship added child of 0002599
2006-06-05 13:53 cbradney Status acknowledged => resolved
2006-06-05 13:53 cbradney Fixed in Version => 1.3.4cvs
2006-06-05 13:53 cbradney Resolution open => fixed
2006-06-05 13:53 cbradney Assigned To => cbradney
2006-06-05 14:33 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker